function plot_vf(coord,g_virfuri,dx,dy,color)
%functie pt reprezentarea vector-field-ului in dreptunghiul (coord,g_vf)
%dx,dy-cunatele pe directiile x, resp y (unde va fi reprezentat vf.)

x1=coord(1);
x2=coord(2);
y1=coord(3);
y2=coord(4);

g11=g_virfuri(:,1);
g21=g_virfuri(:,2);
g22=g_virfuri(:,3);
g12=g_virfuri(:,4);

x=x1:dx:x2;
y=y1:dy:y2;
if x(end)~=x2 %pt a avea v.f. reprez. si pe laturile drept.
    x=[x x2];
end
if y(end)~=y2
    y=[y y2];
end

[X,Y]=meshgrid(x,y);
Gx=((x2-X).*(y2-Y)*g11(1)+(x2-X).*(Y-y1)*g12(1)+(X-x1).*(y2-Y)*g21(1)+(X-x1).*(Y-y1)*g22(1))/((x2-x1)*(y2-y1));
Gy=((x2-X).*(y2-Y)*g11(2)+(x2-X).*(Y-y1)*g12(2)+(X-x1).*(y2-Y)*g21(2)+(X-x1).*(Y-y1)*g22(2))/((x2-x1)*(y2-y1));

quiver(X,Y,Gx,Gy,color)
