function hand=plot_obs(Vf,color,transp) %functie pt desenarea unui obstacol in 3D
%Vf e matricea ce contine coordonatele virfurilor obstacolului
%hand e handle-ul obstacolului desenat
%transp - transparenta (intre 0-complet transp si 1-opac)

for i=1:size(Vf,2)/3 %nr de fete este size(Vf,2)/3
    x(:,i)=Vf(1,(3*(i-1)+1):3*i)';
    y(:,i)=Vf(2,(3*(i-1)+1):3*i)';
    z(:,i)=Vf(3,(3*(i-1)+1):3*i)';
end

hand=patch(x,y,z,color,'FaceAlpha',transp);
