function plot_vf_par(coord,g_virfuri,dx,dy,dz,color)
%functie pt reprezentarea vector-field in paralep (coord,g_vf)

x1=coord(1);
x2=coord(2);
y1=coord(3);
y2=coord(4);
z1=coord(5);
z2=coord(6);

g111=g_virfuri(:,1);
g112=g_virfuri(:,2);
g122=g_virfuri(:,3);
g121=g_virfuri(:,4);
g221=g_virfuri(:,5);
g211=g_virfuri(:,6);
g212=g_virfuri(:,7);
g222=g_virfuri(:,8);

% x=x1:dx:x2;
% y=y1:dy:y2;
% z=z1:dz:z2;
% if x(end)~=x2 %pt a avea v.f. reprez. si pe laturile drept.
%     x=[x x2];
% end
% if y(end)~=y2
%     y=[y y2];
% end
% if z(end)~=z2
%     z=[z z2];
% end
x=linspace(x1,x2,round((x2-x1)/dx)+1); %pt a avea vf egal distantati
y=linspace(y1,y2,round((y2-y1)/dy)+1);
z=linspace(z1,z2,round((z2-z1)/dz)+1);

[X,Y,Z]=meshgrid(x,y,z);

Gx=((x2-X).*(y2-Y).*(z2-Z)*g111(1)+(x2-X).*(y2-Y).*(Z-z1)*g112(1)+(x2-X).*(Y-y1).*(Z-z1)*g122(1)+(x2-X).*(Y-y1).*(z2-Z)*g121(1)+(X-x1).*(Y-y1).*(z2-Z)*g221(1)+(X-x1).*(y2-Y).*(z2-Z)*g211(1)+(X-x1).*(y2-Y).*(Z-z1)*g212(1)+(X-x1).*(Y-y1).*(Z-z1)*g222(1))/((x2-x1)*(y2-y1)*(z2-z1));
Gy=((x2-X).*(y2-Y).*(z2-Z)*g111(2)+(x2-X).*(y2-Y).*(Z-z1)*g112(2)+(x2-X).*(Y-y1).*(Z-z1)*g122(2)+(x2-X).*(Y-y1).*(z2-Z)*g121(2)+(X-x1).*(Y-y1).*(z2-Z)*g221(2)+(X-x1).*(y2-Y).*(z2-Z)*g211(2)+(X-x1).*(y2-Y).*(Z-z1)*g212(2)+(X-x1).*(Y-y1).*(Z-z1)*g222(2))/((x2-x1)*(y2-y1)*(z2-z1));
Gz=((x2-X).*(y2-Y).*(z2-Z)*g111(3)+(x2-X).*(y2-Y).*(Z-z1)*g112(3)+(x2-X).*(Y-y1).*(Z-z1)*g122(3)+(x2-X).*(Y-y1).*(z2-Z)*g121(3)+(X-x1).*(Y-y1).*(z2-Z)*g221(3)+(X-x1).*(y2-Y).*(z2-Z)*g211(3)+(X-x1).*(y2-Y).*(Z-z1)*g212(3)+(X-x1).*(Y-y1).*(Z-z1)*g222(3))/((x2-x1)*(y2-y1)*(z2-z1));

quiver3(X,Y,Z,Gx,Gy,Gz,color,'Linewidth',1.5)
%h=coneplot(X,Y,Z,Gx,Gy,Gz,X,Y,Z,0.7);
%set(h,'FaceColor',color,'EdgeColor','none');
