%functie pentru taierea paralep prea mari de pe calea sursa-destinatie
function [new_way]=split_path_par(cale,start) 
%functia intoarce calea noua (se modifica si matricile POZ si Q)

global Q POZ

way=cale; %calea temporara
i=length(way); %indicele dreptunghiului curent; parcurgem calea de la destinatie spre sursa

while i>2
    adiacenta_paralelip(way(i));
    a=POZ(1,way(i));
    b=POZ(2,way(i));
    c=POZ(3,way(i));
    dims=Q{a,b,c}.dim;
    x=POZ(1,way(i-1)); %x,y,z = coordonatele par anterior lui (a,b,c)
    y=POZ(2,way(i-1));
    z=POZ(3,way(i-1));
    dxy=Q{x,y,z}.dim;
    
    if ((~isempty(find(Q{a,b,c}.U(1,:)==x & Q{a,b,c}.U(2,:)==y & Q{a,b,c}.U(3,:)==z))) | (~isempty(find(Q{a,b,c}.D(1,:)==x & Q{a,b,c}.D(2,:)==y & Q{a,b,c}.D(3,:)==z)))) & ((dxy(2) > dims(2)) | (dxy(3) > dims(3)))
        %(x,y,z) e vecin U sau D al lui (a,b,c) si trebuie taiat
        P=cell(1,9);
        P{8}.coord=[x;y;z];
        P{4}.coord=[x;b;z];
        P{7}.coord=[x;b+dims(2);z];
        P{5}.coord=[x;y;c];
        P{1}.coord=[x;b;c];
        P{3}.coord=[x;b+dims(2);c];
        P{9}.coord=[x;y;c+dims(3)];
        P{2}.coord=[x;b;c+dims(3)];
        P{6}.coord=[x;b+dims(2);c+dims(3)];
        
        P{8}.dim=[dxy(1);b-y;c-z];
        P{4}.dim=[dxy(1);dims(2);c-z];
        P{7}.dim=[dxy(1);y+dxy(2)-b-dims(2);c-z];
        P{5}.dim=[dxy(1);b-y;dims(3)];
        P{1}.dim=[dxy(1);dims(2);dims(3)];
        P{3}.dim=[dxy(1);y+dxy(2)-b-dims(2);dims(3)];
        P{9}.dim=[dxy(1);b-y;z+dxy(3)-c-dims(3)];
        P{2}.dim=[dxy(1);dims(2);z+dxy(3)-c-dims(3)];
        P{6}.dim=[dxy(1);y+dxy(2)-b-dims(2);z+dxy(3)-c-dims(3)];
        
        paral=[]; %care din cele 9 paralep exista
        for j=1:9
            if ~isempty(find(P{j}.dim==0)) %paralep i nu exista
                P{j}=[];
            else
                paral=[paral j];
            end
        end
        
        for j=paral %pt fiecare paral care nu are o dim 0 punem informatiile in Q si POZ
            a=P{j}.coord(1); %a,b,c,dims sint var temporare in acest loc
            b=P{j}.coord(2);
            c=P{j}.coord(3);
            dims=P{j}.dim;
            t.coord=[a;b;c];
            [Q{a:(a+dims(1)-1),b:(b+dims(2)-1),c} Q{a,b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b,c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b:(b+dims(2)-1),(c+dims(3)-1)} Q{(a+dims(1)-1),b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),(b+dims(2)-1),c:(c+dims(3)-1)}]=deal(t);
            Q{a,b,c}=P{j};
            POZ=[POZ [a;b;c]];
            P{j}.ind=size(POZ,2); %indicii paralepipedelor noi in POZ
        end
        POZ(:,way(i-1))=[0;0;0]; %par de coord x,y,z are o alta pozitie acum
        way(i-1)=P{1}.ind; %par anterior lui i este P1
        
        for j=paral
            vec=adiacenta_paralelip(P{j}.ind);
            if ~isempty(find(vec==way(i-2)))
                if j==1
                elseif j==2 | j==3 | j==4 | j==5
                    way=[way(1:i-2) P{j}.ind way(i-1:end)];
                elseif j==6 & ~isempty(P{2})
                    way=[way(1:i-2) P{j}.ind P{2}.ind way(i-1:end)];
                elseif j==6 & ~isempty(P{3})
                    way=[way(1:i-2) P{j}.ind P{3}.ind way(i-1:end)];
                elseif j==7 & ~isempty(P{3})
                    way=[way(1:i-2) P{j}.ind P{3}.ind way(i-1:end)];
                elseif j==7 & ~isempty(P{4})
                    way=[way(1:i-2) P{j}.ind P{4}.ind way(i-1:end)];
                elseif j==8 & ~isempty(P{4})
                    way=[way(1:i-2) P{j}.ind P{4}.ind way(i-1:end)];
                elseif j==8 & ~isempty(P{5})
                    way=[way(1:i-2) P{j}.ind P{5}.ind way(i-1:end)];
                elseif j==9 & ~isempty(P{5})
                    way=[way(1:i-2) P{j}.ind P{5}.ind way(i-1:end)];
                elseif j==9 & ~isempty(P{2})
                    way=[way(1:i-2) P{j}.ind P{2}.ind way(i-1:end)];
                end
                break
            end
        end
    
    elseif ((~isempty(find(Q{a,b,c}.L(1,:)==x & Q{a,b,c}.L(2,:)==y & Q{a,b,c}.L(3,:)==z))) | (~isempty(find(Q{a,b,c}.R(1,:)==x & Q{a,b,c}.R(2,:)==y & Q{a,b,c}.R(3,:)==z)))) & ((dxy(1) > dims(1)) | (dxy(3) > dims(3)))
        P=cell(1,9);
        P{8}.coord=[a+dims(1);y;z];
        P{4}.coord=[a+dims(1);y;c];
        P{7}.coord=[a+dims(1);y;c+dims(3)];
        P{5}.coord=[a;y;z];
        P{1}.coord=[a;y;c];
        P{3}.coord=[a;y;c+dims(3)];
        P{9}.coord=[x;y;z];
        P{2}.coord=[x;y;c];
        P{6}.coord=[x;y;c+dims(3)];
        
        P{8}.dim=[x+dxy(1)-a-dims(1);dxy(2);c-z];
        P{4}.dim=[x+dxy(1)-a-dims(1);dxy(2);dims(3)];
        P{7}.dim=[x+dxy(1)-a-dims(1);dxy(2);z+dxy(3)-c-dims(3)];
        P{5}.dim=[dims(1);dxy(2);c-z];
        P{1}.dim=[dims(1);dxy(2);dims(3)];
        P{3}.dim=[dims(1);dxy(2);z+dxy(3)-c-dims(3)];
        P{9}.dim=[a-x;dxy(2);c-z];
        P{2}.dim=[a-x;dxy(2);dims(3)];
        P{6}.dim=[a-x;dxy(2);z+dxy(3)-c-dims(3)];
        
        paral=[];
        for j=1:9
            if ~isempty(find(P{j}.dim==0))
                P{j}=[];
            else
                paral=[paral j];
            end
        end
        
        for j=paral
            a=P{j}.coord(1);
            b=P{j}.coord(2);
            c=P{j}.coord(3);
            dims=P{j}.dim;
            t.coord=[a;b;c];
            [Q{a:(a+dims(1)-1),b:(b+dims(2)-1),c} Q{a,b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b,c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b:(b+dims(2)-1),(c+dims(3)-1)} Q{(a+dims(1)-1),b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),(b+dims(2)-1),c:(c+dims(3)-1)}]=deal(t);
            Q{a,b,c}=P{j};
            POZ=[POZ [a;b;c]];
            P{j}.ind=size(POZ,2);
        end
        POZ(:,way(i-1))=[0;0;0];
        way(i-1)=P{1}.ind;
        
        for j=paral
            vec=adiacenta_paralelip(P{j}.ind);
            if ~isempty(find(vec==way(i-2)))
                if j==1
                elseif j==2 | j==3 | j==4 | j==5
                    way=[way(1:i-2) P{j}.ind way(i-1:end)];
                elseif j==6 & ~isempty(P{2})
                    way=[way(1:i-2) P{j}.ind P{2}.ind way(i-1:end)];
                elseif j==6 & ~isempty(P{3})
                    way=[way(1:i-2) P{j}.ind P{3}.ind way(i-1:end)];
                elseif j==7 & ~isempty(P{3})
                    way=[way(1:i-2) P{j}.ind P{3}.ind way(i-1:end)];
                elseif j==7 & ~isempty(P{4})
                    way=[way(1:i-2) P{j}.ind P{4}.ind way(i-1:end)];
                elseif j==8 & ~isempty(P{4})
                    way=[way(1:i-2) P{j}.ind P{4}.ind way(i-1:end)];
                elseif j==8 & ~isempty(P{5})
                    way=[way(1:i-2) P{j}.ind P{5}.ind way(i-1:end)];
                elseif j==9 & ~isempty(P{5})
                    way=[way(1:i-2) P{j}.ind P{5}.ind way(i-1:end)];
                elseif j==9 & ~isempty(P{2})
                    way=[way(1:i-2) P{j}.ind P{2}.ind way(i-1:end)];
                end
                break
            end
        end

    elseif ((~isempty(find(Q{a,b,c}.F(1,:)==x & Q{a,b,c}.F(2,:)==y & Q{a,b,c}.F(3,:)==z))) | (~isempty(find(Q{a,b,c}.B(1,:)==x & Q{a,b,c}.B(2,:)==y & Q{a,b,c}.B(3,:)==z)))) & ((dxy(1) > dims(1)) | (dxy(2) > dims(2)))
        P=cell(1,9);
        P{8}.coord=[a+dims(1);y;z];
        P{4}.coord=[a+dims(1);b;z];
        P{7}.coord=[a+dims(1);b+dims(2);z];
        P{5}.coord=[a;y;z];
        P{1}.coord=[a;b;z];
        P{3}.coord=[a;b+dims(2);z];
        P{9}.coord=[x;y;z];
        P{2}.coord=[x;b;z];
        P{6}.coord=[x;b+dims(2);z];
        
        P{8}.dim=[x+dxy(1)-a-dims(1);b-y;dxy(3)];
        P{4}.dim=[x+dxy(1)-a-dims(1);dims(2);dxy(3)];
        P{7}.dim=[x+dxy(1)-a-dims(1);y+dxy(2)-b-dims(2);dxy(3)];
        P{5}.dim=[dims(1);b-y;dxy(3)];
        P{1}.dim=[dims(1);dims(2);dxy(3)];
        P{3}.dim=[dims(1);y+dxy(2)-b-dims(2);dxy(3)];
        P{9}.dim=[a-x;b-y;dxy(3)];
        P{2}.dim=[a-x;dims(2);dxy(3)];
        P{6}.dim=[a-x;y+dxy(2)-b-dims(2);dxy(3)];
        
        paral=[];
        for j=1:9
            if ~isempty(find(P{j}.dim==0))
                P{j}=[];
            else
                paral=[paral j];
            end
        end
        
        for j=paral
            a=P{j}.coord(1);
            b=P{j}.coord(2);
            c=P{j}.coord(3);
            dims=P{j}.dim;
            t.coord=[a;b;c];
            [Q{a:(a+dims(1)-1),b:(b+dims(2)-1),c} Q{a,b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b,c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b:(b+dims(2)-1),(c+dims(3)-1)} Q{(a+dims(1)-1),b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),(b+dims(2)-1),c:(c+dims(3)-1)}]=deal(t);
            Q{a,b,c}=P{j};
            POZ=[POZ [a;b;c]];
            P{j}.ind=size(POZ,2);
        end
        POZ(:,way(i-1))=[0;0;0];
        way(i-1)=P{1}.ind;
        
        for j=paral
            vec=adiacenta_paralelip(P{j}.ind);
            if ~isempty(find(vec==way(i-2)))
                if j==1
                elseif j==2 | j==3 | j==4 | j==5
                    way=[way(1:i-2) P{j}.ind way(i-1:end)];
                elseif j==6 & ~isempty(P{2})
                    way=[way(1:i-2) P{j}.ind P{2}.ind way(i-1:end)];
                elseif j==6 & ~isempty(P{3})
                    way=[way(1:i-2) P{j}.ind P{3}.ind way(i-1:end)];
                elseif j==7 & ~isempty(P{3})
                    way=[way(1:i-2) P{j}.ind P{3}.ind way(i-1:end)];
                elseif j==7 & ~isempty(P{4})
                    way=[way(1:i-2) P{j}.ind P{4}.ind way(i-1:end)];
                elseif j==8 & ~isempty(P{4})
                    way=[way(1:i-2) P{j}.ind P{4}.ind way(i-1:end)];
                elseif j==8 & ~isempty(P{5})
                    way=[way(1:i-2) P{j}.ind P{5}.ind way(i-1:end)];
                elseif j==9 & ~isempty(P{5})
                    way=[way(1:i-2) P{j}.ind P{5}.ind way(i-1:end)];
                elseif j==9 & ~isempty(P{2})
                    way=[way(1:i-2) P{j}.ind P{2}.ind way(i-1:end)];
                end
                break
            end
        end
    end
    i=i-1;
end


%i=2 (sintem in par vecin par. sursa)

adiacenta_paralelip(way(i));
a=POZ(1,way(i));
b=POZ(2,way(i));
c=POZ(3,way(i));
dims=Q{a,b,c}.dim;
x=POZ(1,way(i-1)); %x,y,z = coordonatele par anterior lui (a,b,c)
y=POZ(2,way(i-1));
z=POZ(3,way(i-1));
dxy=Q{x,y,z}.dim;

if ((~isempty(find(Q{a,b,c}.U(1,:)==x & Q{a,b,c}.U(2,:)==y & Q{a,b,c}.U(3,:)==z))) | (~isempty(find(Q{a,b,c}.D(1,:)==x & Q{a,b,c}.D(2,:)==y & Q{a,b,c}.D(3,:)==z)))) & ((dxy(2) > dims(2)) | (dxy(3) > dims(3)))
    P=cell(1,9);
    P{8}.coord=[x;y;z];
    P{4}.coord=[x;b;z];
    P{7}.coord=[x;b+dims(2);z];
    P{5}.coord=[x;y;c];
    P{1}.coord=[x;b;c];
    P{3}.coord=[x;b+dims(2);c];
    P{9}.coord=[x;y;c+dims(3)];
    P{2}.coord=[x;b;c+dims(3)];
    P{6}.coord=[x;b+dims(2);c+dims(3)];

    P{8}.dim=[dxy(1);b-y;c-z];
    P{4}.dim=[dxy(1);dims(2);c-z];
    P{7}.dim=[dxy(1);y+dxy(2)-b-dims(2);c-z];
    P{5}.dim=[dxy(1);b-y;dims(3)];
    P{1}.dim=[dxy(1);dims(2);dims(3)];
    P{3}.dim=[dxy(1);y+dxy(2)-b-dims(2);dims(3)];
    P{9}.dim=[dxy(1);b-y;z+dxy(3)-c-dims(3)];
    P{2}.dim=[dxy(1);dims(2);z+dxy(3)-c-dims(3)];
    P{6}.dim=[dxy(1);y+dxy(2)-b-dims(2);z+dxy(3)-c-dims(3)];

    paral=[];
    for j=1:9
        if ~isempty(find(P{j}.dim==0))
            P{j}=[];
        else
            paral=[paral j];
        end
    end

    for j=paral
        a=P{j}.coord(1);
        b=P{j}.coord(2);
        c=P{j}.coord(3);
        dims=P{j}.dim;
        t.coord=[a;b;c];
        [Q{a:(a+dims(1)-1),b:(b+dims(2)-1),c} Q{a,b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b,c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b:(b+dims(2)-1),(c+dims(3)-1)} Q{(a+dims(1)-1),b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),(b+dims(2)-1),c:(c+dims(3)-1)}]=deal(t);
        Q{a,b,c}=P{j};
        POZ=[POZ [a;b;c]];
        P{j}.ind=size(POZ,2);
    end
    POZ(:,way(i-1))=[0;0;0];
    way(i-1)=P{1}.ind;

    for j=paral
        vf1=POZ(:,P{j}.ind);
        vf2=vf1+P{j}.dim-1;
        if vf1<=start & start<=vf2
            if j==1
            elseif j==2 | j==3 | j==4 | j==5
                way=[P{j}.ind way(i-1:end)];
            elseif j==6 & ~isempty(P{2})
                way=[P{j}.ind P{2}.ind way(i-1:end)];
            elseif j==6 & ~isempty(P{3})
                way=[P{j}.ind P{3}.ind way(i-1:end)];
            elseif j==7 & ~isempty(P{3})
                way=[P{j}.ind P{3}.ind way(i-1:end)];
            elseif j==7 & ~isempty(P{4})
                way=[P{j}.ind P{4}.ind way(i-1:end)];
            elseif j==8 & ~isempty(P{4})
                way=[P{j}.ind P{4}.ind way(i-1:end)];
            elseif j==8 & ~isempty(P{5})
                way=[P{j}.ind P{5}.ind way(i-1:end)];
            elseif j==9 & ~isempty(P{5})
                way=[P{j}.ind P{5}.ind way(i-1:end)];
            elseif j==9 & ~isempty(P{2})
                way=[P{j}.ind P{2}.ind way(i-1:end)];
            end
        end
    end

elseif ((~isempty(find(Q{a,b,c}.L(1,:)==x & Q{a,b,c}.L(2,:)==y & Q{a,b,c}.L(3,:)==z))) | (~isempty(find(Q{a,b,c}.R(1,:)==x & Q{a,b,c}.R(2,:)==y & Q{a,b,c}.R(3,:)==z)))) & ((dxy(1) > dims(1)) | (dxy(3) > dims(3)))
    P=cell(1,9);
    P{8}.coord=[a+dims(1);y;z];
    P{4}.coord=[a+dims(1);y;c];
    P{7}.coord=[a+dims(1);y;c+dims(3)];
    P{5}.coord=[a;y;z];
    P{1}.coord=[a;y;c];
    P{3}.coord=[a;y;c+dims(3)];
    P{9}.coord=[x;y;z];
    P{2}.coord=[x;y;c];
    P{6}.coord=[x;y;c+dims(3)];

    P{8}.dim=[x+dxy(1)-a-dims(1);dxy(2);c-z];
    P{4}.dim=[x+dxy(1)-a-dims(1);dxy(2);dims(3)];
    P{7}.dim=[x+dxy(1)-a-dims(1);dxy(2);z+dxy(3)-c-dims(3)];
    P{5}.dim=[dims(1);dxy(2);c-z];
    P{1}.dim=[dims(1);dxy(2);dims(3)];
    P{3}.dim=[dims(1);dxy(2);z+dxy(3)-c-dims(3)];
    P{9}.dim=[a-x;dxy(2);c-z];
    P{2}.dim=[a-x;dxy(2);dims(3)];
    P{6}.dim=[a-x;dxy(2);z+dxy(3)-c-dims(3)];

    paral=[];
    for j=1:9
        if ~isempty(find(P{j}.dim==0))
            P{j}=[];
        else
            paral=[paral j];
        end
    end

    for j=paral
        a=P{j}.coord(1);
        b=P{j}.coord(2);
        c=P{j}.coord(3);
        dims=P{j}.dim;
        t.coord=[a;b;c];
        [Q{a:(a+dims(1)-1),b:(b+dims(2)-1),c} Q{a,b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b,c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b:(b+dims(2)-1),(c+dims(3)-1)} Q{(a+dims(1)-1),b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),(b+dims(2)-1),c:(c+dims(3)-1)}]=deal(t);
        Q{a,b,c}=P{j};
        POZ=[POZ [a;b;c]];
        P{j}.ind=size(POZ,2);
    end
    POZ(:,way(i-1))=[0;0;0];
    way(i-1)=P{1}.ind;

    for j=paral
        vf1=POZ(:,P{j}.ind);
        vf2=vf1+P{j}.dim-1;
        if vf1<=start & start<=vf2
            if j==1
            elseif j==2 | j==3 | j==4 | j==5
                way=[P{j}.ind way(i-1:end)];
            elseif j==6 & ~isempty(P{2})
                way=[P{j}.ind P{2}.ind way(i-1:end)];
            elseif j==6 & ~isempty(P{3})
                way=[P{j}.ind P{3}.ind way(i-1:end)];
            elseif j==7 & ~isempty(P{3})
                way=[P{j}.ind P{3}.ind way(i-1:end)];
            elseif j==7 & ~isempty(P{4})
                way=[P{j}.ind P{4}.ind way(i-1:end)];
            elseif j==8 & ~isempty(P{4})
                way=[P{j}.ind P{4}.ind way(i-1:end)];
            elseif j==8 & ~isempty(P{5})
                way=[P{j}.ind P{5}.ind way(i-1:end)];
            elseif j==9 & ~isempty(P{5})
                way=[P{j}.ind P{5}.ind way(i-1:end)];
            elseif j==9 & ~isempty(P{2})
                way=[P{j}.ind P{2}.ind way(i-1:end)];
            end
        end
    end

elseif ((~isempty(find(Q{a,b,c}.F(1,:)==x & Q{a,b,c}.F(2,:)==y & Q{a,b,c}.F(3,:)==z))) | (~isempty(find(Q{a,b,c}.B(1,:)==x & Q{a,b,c}.B(2,:)==y & Q{a,b,c}.B(3,:)==z)))) & ((dxy(1) > dims(1)) | (dxy(2) > dims(2)))
    P=cell(1,9);
    P{8}.coord=[a+dims(1);y;z];
    P{4}.coord=[a+dims(1);b;z];
    P{7}.coord=[a+dims(1);b+dims(2);z];
    P{5}.coord=[a;y;z];
    P{1}.coord=[a;b;z];
    P{3}.coord=[a;b+dims(2);z];
    P{9}.coord=[x;y;z];
    P{2}.coord=[x;b;z];
    P{6}.coord=[x;b+dims(2);z];

    P{8}.dim=[x+dxy(1)-a-dims(1);b-y;dxy(3)];
    P{4}.dim=[x+dxy(1)-a-dims(1);dims(2);dxy(3)];
    P{7}.dim=[x+dxy(1)-a-dims(1);y+dxy(2)-b-dims(2);dxy(3)];
    P{5}.dim=[dims(1);b-y;dxy(3)];
    P{1}.dim=[dims(1);dims(2);dxy(3)];
    P{3}.dim=[dims(1);y+dxy(2)-b-dims(2);dxy(3)];
    P{9}.dim=[a-x;b-y;dxy(3)];
    P{2}.dim=[a-x;dims(2);dxy(3)];
    P{6}.dim=[a-x;y+dxy(2)-b-dims(2);dxy(3)];

    paral=[];
    for j=1:9
        if ~isempty(find(P{j}.dim==0))
            P{j}=[];
        else
            paral=[paral j];
        end
    end

    for j=paral
        a=P{j}.coord(1);
        b=P{j}.coord(2);
        c=P{j}.coord(3);
        dims=P{j}.dim;
        t.coord=[a;b;c];
        [Q{a:(a+dims(1)-1),b:(b+dims(2)-1),c} Q{a,b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b,c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),b:(b+dims(2)-1),(c+dims(3)-1)} Q{(a+dims(1)-1),b:(b+dims(2)-1),c:(c+dims(3)-1)} Q{a:(a+dims(1)-1),(b+dims(2)-1),c:(c+dims(3)-1)}]=deal(t);
        Q{a,b,c}=P{j};
        POZ=[POZ [a;b;c]];
        P{j}.ind=size(POZ,2);
    end
    POZ(:,way(i-1))=[0;0;0];
    way(i-1)=P{1}.ind;

    for j=paral
        vf1=POZ(:,P{j}.ind);
        vf2=vf1+P{j}.dim-1;
        if vf1<=start & start<=vf2
            if j==1
            elseif j==2 | j==3 | j==4 | j==5
                way=[P{j}.ind way(i-1:end)];
            elseif j==6 & ~isempty(P{2})
                way=[P{j}.ind P{2}.ind way(i-1:end)];
            elseif j==6 & ~isempty(P{3})
                way=[P{j}.ind P{3}.ind way(i-1:end)];
            elseif j==7 & ~isempty(P{3})
                way=[P{j}.ind P{3}.ind way(i-1:end)];
            elseif j==7 & ~isempty(P{4})
                way=[P{j}.ind P{4}.ind way(i-1:end)];
            elseif j==8 & ~isempty(P{4})
                way=[P{j}.ind P{4}.ind way(i-1:end)];
            elseif j==8 & ~isempty(P{5})
                way=[P{j}.ind P{5}.ind way(i-1:end)];
            elseif j==9 & ~isempty(P{5})
                way=[P{j}.ind P{5}.ind way(i-1:end)];
            elseif j==9 & ~isempty(P{2})
                way=[P{j}.ind P{2}.ind way(i-1:end)];
            end
        end
    end
end


new_way=way;
