function [timp,poz,vitez]=traseu_pas_cst_par(P0,coord,g_virfuri,stop,d_min,dt)
%functie pt gasirea traseului mobilului in paralep curent, avind valorile vector field-ului la virfuri
%integrare cu pas de timp constant

x1=coord(1);
x2=coord(2);
y1=coord(3);
y2=coord(4);
z1=coord(5);
z2=coord(6);

g111=g_virfuri(:,1);
g112=g_virfuri(:,2);
g122=g_virfuri(:,3);
g121=g_virfuri(:,4);
g221=g_virfuri(:,5);
g211=g_virfuri(:,6);
g212=g_virfuri(:,7);
g222=g_virfuri(:,8);

xy(1,1)=P0(1);
xy(2,1)=P0(2);
xy(3,1)=P0(3);
dxdy=((x2-xy(1))*(y2-xy(2))*(z2-xy(3))*g111+(x2-xy(1))*(y2-xy(2))*(xy(3)-z1)*g112+(x2-xy(1))*(xy(2)-y1)*(xy(3)-z1)*g122+(x2-xy(1))*(xy(2)-y1)*(z2-xy(3))*g121+(xy(1)-x1)*(xy(2)-y1)*(z2-xy(3))*g221+(xy(1)-x1)*(y2-xy(2))*(z2-xy(3))*g211+(xy(1)-x1)*(y2-xy(2))*(xy(3)-z1)*g212+(xy(1)-x1)*(xy(2)-y1)*(xy(3)-z1)*g222)/((x2-x1)*(y2-y1)*(z2-z1));

i=1;
timp(i)=0;
poz(:,i)=P0;
vitez(:,i)=dxdy;

while (([x1;y1;z1]<=xy & xy<=[x2;y2;z2]) & norm(xy-stop)>d_min) %sintem in par curent si nu am atins stop
    i=i+1;
    xy=xy+dxdy*dt;
    dxdy=((x2-xy(1))*(y2-xy(2))*(z2-xy(3))*g111+(x2-xy(1))*(y2-xy(2))*(xy(3)-z1)*g112+(x2-xy(1))*(xy(2)-y1)*(xy(3)-z1)*g122+(x2-xy(1))*(xy(2)-y1)*(z2-xy(3))*g121+(xy(1)-x1)*(xy(2)-y1)*(z2-xy(3))*g221+(xy(1)-x1)*(y2-xy(2))*(z2-xy(3))*g211+(xy(1)-x1)*(y2-xy(2))*(xy(3)-z1)*g212+(xy(1)-x1)*(xy(2)-y1)*(xy(3)-z1)*g222)/((x2-x1)*(y2-y1)*(z2-z1));

    timp(i)=timp(i-1)+dt;
    poz(:,i)=xy;
    vitez(:,i)=dxdy;
end
