function []=split4_minus1(a,b) %functia split4, dar dreptunghiurile cu una din dimensiuni 1 sint considerate spatiu ocupat
global Q POZ WORLD

dims=Q{a,b}.dim;
if ((dims(1) >= 4) & (dims(2) >= 4)) %sa nu ajungem la dreptunghi cu una din dimensiuni 1
    Q{(a+dims(1)/2),b}.coord=[(a+dims(1)/2);b];   %coordonatele noilor sub-dreptunghiuri
    Q{(a+dims(1)/2),(b+dims(2)/2)}.coord=[(a+dims(1)/2);(b+dims(2)/2)];
    Q{a,(b+dims(2)/2)}.coord=[a;(b+dims(2)/2)];
    
    Q{a,b}.dim=dims/2;  %dimensiunile noilor sub-dreptunghiuri
    Q{(a+dims(1)/2),b}.dim=dims/2;
    Q{(a+dims(1)/2),(b+dims(2)/2)}.dim=dims/2;
    Q{a,(b+dims(2)/2)}.dim=dims/2;
    
    s=sum(sum(WORLD(a:(a+dims(1)/2-1),b:(b+dims(2)/2-1)))); %sub-dreptunghiul stinga-sus
    if (s > 0) & (s < prod(dims/2)) %partial ocupat
        split4_minus1(a,b); %descompune
    elseif (s == 0) %total ocupat
        [Q{a:(a+dims(1)/2-1),b:(b+dims(2)/2-1)}]=deal(0); %valoare 0 in toate sub-cell-urile ocupate
    else %liber
        [Q{(a+dims(1)/2-1),b}.coord Q{(a+dims(1)/2-1),(b+dims(2)/2-1)}.coord Q{a,(b+dims(2)/2-1)}.coord]=deal(Q{a,b}.coord);
        POZ=[POZ [a;b]];
    end
    
    s=sum(sum(WORLD((a+dims(1)/2):(a+dims(1)-1),b:(b+dims(2)/2-1)))); %sub-dreptunghiul stinga-jos
    if (s > 0) & (s < prod(dims/2))
        split4_minus1((a+dims(1)/2),b);
    elseif (s == 0)
        [Q{(a+dims(1)/2):(a+dims(1)-1),b:(b+dims(2)/2-1)}]=deal(0);
    else
        [Q{(a+dims(1)-1),b}.coord Q{(a+dims(1)-1),(b+dims(2)/2-1)}.coord Q{(a+dims(1)/2),(b+dims(2)/2-1)}.coord]=deal(Q{(a+dims(1)/2),b}.coord);
        POZ=[POZ [(a+dims(1)/2);b]];
    end

    s=sum(sum(WORLD((a+dims(1)/2):(a+dims(1)-1),(b+dims(2)/2):(b+dims(2)-1)))); %sub-dreptunghiul dreapta-jos
    if (s > 0) & (s < prod(dims/2))
        split4_minus1((a+dims(1)/2),(b+dims(2)/2));
    elseif (s == 0)
        [Q{(a+dims(1)/2):(a+dims(1)-1),(b+dims(2)/2):(b+dims(2)-1)}]=deal(0);
    else
        [Q{(a+dims(1)-1),(b+dims(2)/2)}.coord Q{(a+dims(1)-1),(b+dims(2)-1)}.coord Q{(a+dims(1)/2),(b+dims(2)-1)}.coord]=deal(Q{(a+dims(1)/2),(b+dims(2)/2)}.coord);
        POZ=[POZ [(a+dims(1)/2);(b+dims(2)/2)]];
    end
    
    s=sum(sum(WORLD(a:(a+dims(1)/2-1),(b+dims(2)/2):(b+dims(2)-1)))); %sub-dreptunghiul dreapta-sus
    if (s > 0) & (s < prod(dims/2))
        split4_minus1(a,(b+dims(2)/2));
    elseif (s == 0)
        [Q{a:(a+dims(1)/2-1),(b+dims(2)/2):(b+dims(2)-1)}]=deal(0);
    else
        [Q{(a+dims(1)/2-1),(b+dims(2)/2)}.coord Q{(a+dims(1)/2-1),(b+dims(2)-1)}.coord Q{a,(b+dims(2)-1)}.coord]=deal(Q{a,(b+dims(2)/2)}.coord);
        POZ=[POZ [a;(b+dims(2)/2)]];
    end
    
% elseif (dims(1) == 1) & (dims(2) ~= 1) %dreptunghi cu inaltime 1 - impartire in doua pe verticala
%     Q{a,(b+dims(2)/2)}.coord=[a;(b+dims(2)/2)];
%     Q{a,b}.dim=[1;dims(2)/2];
%     Q{a,(b+dims(2)/2)}.dim=[1;dims(2)/2];
%     
%     s=sum(sum(WORLD(a,b:(b+dims(2)/2-1)))); %sub-dreptunghiul stinga
%     if (s > 0) & (s < prod(dims)/2) %partial ocupat
%         split4(a,b); %descompune
%     elseif (s == 0) %total ocupat
%         [Q{a,b:(b+dims(2)/2-1)}]=deal(0); %valoare 0 in toate sub-cell-urile ocupate
%     else %liber
%         [Q{a,(b+dims(2)/2-1)}.coord]=deal(Q{a,b}.coord);
%         POZ=[POZ [a;b]];
%     end
%     
%     s=sum(sum(WORLD(a,(b+dims(2)/2):(b+dims(2)-1)))); %sub-dreptunghiul dreapta
%     if (s > 0) & (s < prod(dims)/2)
%         split4(a,(b+dims(2)/2));
%     elseif (s == 0)
%         [Q{a,(b+dims(2)/2):(b+dims(2)-1)}]=deal(0);
%     else
%         [Q{a,(b+dims(2)-1)}.coord]=deal(Q{a,(b+dims(2)/2)}.coord);
%         POZ=[POZ [a;(b+dims(2)/2)]];
%     end
%     
% elseif (dims(1) ~= 1) & (dims(2) == 1) %dreptunghi cu latime 1 - impartire in doua pe orizontala
%     Q{(a+dims(1)/2),b}.coord=[(a+dims(1)/2);b];
%     Q{a,b}.dim=[dims(1)/2;1];
%     Q{(a+dims(1)/2),b}.dim=[dims(1)/2;1];
%     
%     s=sum(sum(WORLD(a:(a+dims(1)/2-1),b))); %sub-dreptunghiul sus
%     if (s > 0) & (s < prod(dims)/2) %partial ocupat
%         split4(a,b); %descompune
%     elseif (s == 0) %total ocupat
%         [Q{a:(a+dims(1)/2-1),b}]=deal(0); %valoare 0 in toate sub-cell-urile ocupate
%     else %liber
%         [Q{(a+dims(1)/2-1),b}.coord]=deal(Q{a,b}.coord);
%         POZ=[POZ [a;b]];
%     end
%     
%     s=sum(sum(WORLD((a+dims(1)/2):(a+dims(1)-1),b))); %sub-dreptunghiul jos
%     if (s > 0) & (s < prod(dims)/2)
%         split4((a+dims(1)/2),b);
%     elseif (s == 0)
%         [Q{(a+dims(1)/2):(a+dims(1)-1),b}]=deal(0);
%     else
%         [Q{(a+dims(1)-1),b}.coord]=deal(Q{(a+dims(1)/2),b}.coord);
%         POZ=[POZ [(a+dims(1)/2);b]];
%     end
    
else %dreptunghi prea mic
    [Q{a:(a+dims(1)-1),b:(b+dims(2)-1)}]=deal(0); %valoare 0 in toate sub-cell-urile ocupate
    
end
