%functie pentru taierea dreptunghiurilor prea mari de pe calea sursa-destinatie
function [new_way]=split_path_dr(cale,st_a,st_b) 
%functia intoarce calea noua (se modifica si matricile POZ si Q)
%(st_a, st_b) este pozitia punctului de start (ne trebuie la sfirsit)

global Q POZ ADIACENTA ADIAC_W

way=cale; %calea temporara
i=length(way); %indicele dreptunghiului curent; parcurgem calea de la destinatie spre sursa

while i>2
    adiacenta(way(i)); %pt. a updata vecinii drept. i
    a=POZ(1,way(i)); %a,b = coordonatele dreptunghiului curent
    b=POZ(2,way(i));
    dims=Q{a,b}.dim; %dimensiunile dreptunghiului curent
    x=POZ(1,way(i-1)); %x,y = coordonatele dreptunghiului anterior lui (a,b)
    y=POZ(2,way(i-1));
    dxy=Q{x,y}.dim;
    
    if ((~isempty(find(Q{a,b}.N(1,:)==x & Q{a,b}.N(2,:)==y))) & (dxy(2) > dims(2))) | ((~isempty(find(Q{a,b}.S(1,:)==x & Q{a,b}.S(2,:)==y))) & (dxy(2) > dims(2)))
        %(x,y) e vecin la N al lui (a,b) si are latimea mai mare, deci trebuie taiat  %caz 1 (la etapa de taiere)
        %sau caz 3 (vecin la S care tb. taiat)
        if y==b %taiere in 2
            Q{x,y}.dim(2)=dims(2); %modificarea dreptunghiului vechi
            [Q{x,b+dims(2)-1}.coord Q{x+dxy(1)-1,b+dims(2)-1}.coord]=deal([x;b]);
            Q{x,b+dims(2)}.dim=[dxy(1);dxy(2)-dims(2)]; %noul dreptunghi obtinut
            [Q{x,b+dims(2)}.coord Q{x,y+dxy(2)-1}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{x+dxy(1)-1,b+dims(2)}.coord]=deal([x;b+dims(2)]);
            POZ=[POZ [x;b+dims(2)]];
            vec=adiacenta(way(i-1)); %vecinii dreptunghiului (x,y)
            if isempty(find(vec==way(i-2))) %nodul anterior lui {x,y) nu mai este vecin al sau, deci este vecin al noului drept.
                way=[way(1:i-2) size(POZ,2) way(i-1:end)]; %in cale se introduce indicele noului dreptunghi
            end
            
        elseif (y+dxy(2)-1)==(b+dims(2)-1) %taiere in 2
            Q{x,y}.dim(2)=dxy(2)-dims(2);
            [Q{x,b-1}.coord Q{x+dxy(1)-1,b-1}.coord]=deal([x;y]);
            Q{x,b}.dim=[dxy(1);dims(2)]; %noul dreptunghi obtinut
            [Q{x,b}.coord Q{x,y+dxy(2)-1}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{x+dxy(1)-1,b}.coord]=deal([x;b]);
            POZ=[POZ [x;b]];
            vec=adiacenta(size(POZ,2)); %vecinii dreptunghiului nou adaugat
            if isempty(find(vec==way(i-2))) %nodul anterior lui (x,y) nu e vecin al noului drept, deci (x,y) va ramine in cale
                way=[way(1:i-1) size(POZ,2) way(i:end)];
            else %dreptunghiul (x,y) este inlocuit de noul dreptunghi, care asigura continuitatea caii
                way(i-1)=size(POZ,2);
            end
            
        else %taiere in 3
            Q{x,y}.dim(2)=b-y;
            [Q{x,b-1}.coord Q{x+dxy(1)-1,b-1}.coord]=deal([x;y]);
            Q{x,b}.dim=[dxy(1);dims(2)]; %primul dreptunghi nou
            [Q{x,b}.coord Q{x,b+dims(2)-1}.coord Q{x+dxy(1)-1,b+dims(2)-1}.coord Q{x+dxy(1)-1,b}.coord]=deal([x;b]);
            POZ=[POZ [x;b]];
            Q{x,b+dims(2)}.dim=[dxy(1);y+dxy(2)-b-dims(2)]; %al doilea dreptunghi nou
            [Q{x,b+dims(2)}.coord Q{x,y+dxy(2)-1}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{x+dxy(1)-1,b+dims(2)}.coord]=deal([x;b+dims(2)]);
            POZ=[POZ [x;b+dims(2)]];
            vec=adiacenta(way(i-1)); %vecinii dreptunghiului (x,y)
            vec1=adiacenta(size(POZ,2)-1); %vecinii primului nou dreptunghi
            if isempty(find(vec1==way(i-2))) %nodul anterior nu este vecin al primului drept
                if isempty(find(vec==way(i-2))) %nici vecin al lui (x,y), deci vecin al celui ce-al doilea drept
                    way=[way(1:i-2) size(POZ,2) size(POZ,2)-1 way(i:end)];
                else %vecin al lui (x,y)
                    way=[way(1:i-1) size(POZ,2)-1 way(i:end)];
                end
            else %vecin al primului dreptunghi
                way(i-1)=size(POZ,2)-1; %(x,y) e inlocuit de primul dreptunghi
            end
        end
        
    elseif ((~isempty(find(Q{a,b}.W(1,:)==x & Q{a,b}.W(2,:)==y))) & (dxy(1) > dims(1))) | ((~isempty(find(Q{a,b}.E(1,:)==x & Q{a,b}.E(2,:)==y))) & (dxy(1) > dims(1)))
        %caz 2 (vecin la W care tb. taiat) sau caz 4 (vecin la E care tb. taiat)
        if x==a
            Q{x,y}.dim(1)=dims(1);
            [Q{a+dims(1)-1,y}.coord Q{a+dims(1)-1,y+dxy(2)-1}.coord]=deal([a;y]);
            Q{a+dims(1),y}.dim=[dxy(1)-dims(1);dxy(2)];
            [Q{a+dims(1),y}.coord Q{x+dxy(1)-1,y}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{a+dims(1),y+dxy(2)-1}.coord]=deal([a+dims(1);y]);
            POZ=[POZ [a+dims(1);y]];
            vec=adiacenta(way(i-1));
            if isempty(find(vec==way(i-2)))
                way=[way(1:i-2) size(POZ,2) way(i-1:end)];
            end
            
        elseif (x+dxy(1)-1)==(a+dims(1)-1)
            Q{x,y}.dim(1)=dxy(1)-dims(1);
            [Q{a-1,y}.coord Q{a-1,y+dxy(2)-1}.coord]=deal([x;y]);
            Q{a,y}.dim=[dims(1);dxy(2)];
            [Q{a,y}.coord Q{x+dxy(1)-1,y}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{a,y+dxy(2)-1}.coord]=deal([a;y]);
            POZ=[POZ [a;y]];
            vec=adiacenta(size(POZ,2));
            if isempty(find(vec==way(i-2)))
                way=[way(1:i-1) size(POZ,2) way(i:end)];
            else
                way(i-1)=size(POZ,2);
            end
            
        else
            Q{x,y}.dim(1)=a-x;
            [Q{a-1,y}.coord Q{a-1,y+dxy(2)-1}.coord]=deal([x;y]);
            Q{a,y}.dim=[dims(1);dxy(2)];
            [Q{a,y}.coord Q{a+dims(1)-1,y}.coord Q{a+dims(1)-1,y+dxy(2)-1}.coord Q{a,y+dxy(2)-1}.coord]=deal([a;y]);
            POZ=[POZ [a;y]];
            Q{a+dims(1),y}.dim=[x+dxy(1)-a-dims(1);dxy(2)];
            [Q{a+dims(1),y}.coord Q{x+dxy(1)-1,y}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{a+dims(1),y+dxy(2)-1}.coord]=deal([a+dims(1);y]);
            POZ=[POZ [a+dims(1);y]];
            vec=adiacenta(way(i-1));
            vec1=adiacenta(size(POZ,2)-1);
            if isempty(find(vec1==way(i-2)))
                if isempty(find(vec==way(i-2)))
                    way=[way(1:i-2) size(POZ,2) size(POZ,2)-1 way(i:end)];
                else
                    way=[way(1:i-1) size(POZ,2)-1 way(i:end)];
                end
            else
                way(i-1)=size(POZ,2)-1;
            end
        end
    end
    i=i-1; %in toate cazurile (chiar daca adaugam dreptunghiuri noi in cale) se poate deduce ca tb. sa continuam cu pozitia (i-1)
    continue
end


%i=2 (sintem in dreptunghiul vecin drept. sursa
%(pt i=1 nu are rost sa apelam functia; facem testul in fisierul principal)
%facem operatii similare ca mai sus, dar in loc sa ne ghidam dupa vecinii
%dreptunghiurilor obtinute, ne ghidam dupa dreptunghiul care contine
%punctul de start

adiacenta(way(i));
a=POZ(1,way(i));
b=POZ(2,way(i));
dims=Q{a,b}.dim;
x=POZ(1,way(i-1)); %coordonatele dreptunghiului de start
y=POZ(2,way(i-1));
dxy=Q{x,y}.dim;

if ((~isempty(find(Q{a,b}.N(1,:)==x & Q{a,b}.N(2,:)==y))) & (dxy(2) > dims(2))) | ((~isempty(find(Q{a,b}.S(1,:)==x & Q{a,b}.S(2,:)==y))) & (dxy(2) > dims(2)))
    if y==b
        Q{x,y}.dim(2)=dims(2);
        [Q{x,b+dims(2)-1}.coord Q{x+dxy(1)-1,b+dims(2)-1}.coord]=deal([x;b]);
        Q{x,b+dims(2)}.dim=[dxy(1);dxy(2)-dims(2)];
        [Q{x,b+dims(2)}.coord Q{x,y+dxy(2)-1}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{x+dxy(1)-1,b+dims(2)}.coord]=deal([x;b+dims(2)]);
        POZ=[POZ [x;b+dims(2)]];
        if ~((st_a >= x) & (st_a <= x+dxy(1)-1) & (st_b >= b) & (st_b <= b+dims(2)-1)) %punctul de start nu este in (x,y)
            way=[size(POZ,2) way]; %noul drept. devine cel de start
        end

    elseif (y+dxy(2)-1)==(b+dims(2)-1)
        Q{x,y}.dim(2)=dxy(2)-dims(2);
        [Q{x,b-1}.coord Q{x+dxy(1)-1,b-1}.coord]=deal([x;y]);
        Q{x,b}.dim=[dxy(1);dims(2)];
        [Q{x,b}.coord Q{x,y+dxy(2)-1}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{x+dxy(1)-1,b}.coord]=deal([x;b]);
        POZ=[POZ [x;b]];
        if ~((st_a >= x) & (st_a <= x+dxy(1)-1) & (st_b >= b) & (st_b <= b+dims(2)-1))
            way=[way(1) size(POZ,2) way(i:end)];
        else
            way(1)=size(POZ,2);
        end

    else
        Q{x,y}.dim(2)=b-y;
        [Q{x,b-1}.coord Q{x+dxy(1)-1,b-1}.coord]=deal([x;y]);
        Q{x,b}.dim=[dxy(1);dims(2)];
        [Q{x,b}.coord Q{x,b+dims(2)-1}.coord Q{x+dxy(1)-1,b+dims(2)-1}.coord Q{x+dxy(1)-1,b}.coord]=deal([x;b]);
        POZ=[POZ [x;b]];
        Q{x,b+dims(2)}.dim=[dxy(1);y+dxy(2)-b-dims(2)];
        [Q{x,b+dims(2)}.coord Q{x,y+dxy(2)-1}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{x+dxy(1)-1,b+dims(2)}.coord]=deal([x;b+dims(2)]);
        POZ=[POZ [x;b+dims(2)]];
        if ~((st_a >= x) & (st_a <= x+dxy(1)-1) & (st_b >= b) & (st_b <= b+dims(2)-1)) %nu pornim din primul drept.
            if ~((st_a >= x) & (st_a <= x+dxy(1)-1) & (st_b >= y) & (st_b <= b-1)) %nici din (x,y), deci din al doilea drept.
                way=[size(POZ,2) size(POZ,2)-1 way];
            else %plecam din (x,y) (ramine neschimbat indicele drept. de start)
                way=[way(1) size(POZ,2)-1 way(i:end)];
            end
        else %punctul de start este in primul nou dreptunghi
            way(1)=size(POZ,2)-1;
        end
    end

elseif ((~isempty(find(Q{a,b}.W(1,:)==x & Q{a,b}.W(2,:)==y))) & (dxy(1) > dims(1))) | ((~isempty(find(Q{a,b}.E(1,:)==x & Q{a,b}.E(2,:)==y))) & (dxy(1) > dims(1)))
    if x==a
        Q{x,y}.dim(1)=dims(1);
        [Q{a+dims(1)-1,y}.coord Q{a+dims(1)-1,y+dxy(2)-1}.coord]=deal([a;y]);
        Q{a+dims(1),y}.dim=[dxy(1)-dims(1);dxy(2)];
        [Q{a+dims(1),y}.coord Q{x+dxy(1)-1,y}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{a+dims(1),y+dxy(2)-1}.coord]=deal([a+dims(1);y]);
        POZ=[POZ [a+dims(1);y]];
        if ~((st_a >= a) & (st_a <= a+dims(1)-1) & (st_b >= y) & (st_b <= y+dxy(2)-1))
            way=[size(POZ,2) way];
        end

    elseif (x+dxy(1)-1)==(a+dims(1)-1)
        Q{x,y}.dim(1)=dxy(1)-dims(1);
        [Q{a-1,y}.coord Q{a-1,y+dxy(2)-1}.coord]=deal([x;y]);
        Q{a,y}.dim=[dims(1);dxy(2)];
        [Q{a,y}.coord Q{x+dxy(1)-1,y}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{a,y+dxy(2)-1}.coord]=deal([a;y]);
        POZ=[POZ [a;y]];
        if ~((st_a >= a) & (st_a <= a+dims(1)-1) & (st_b >= y) & (st_b <= y+dxy(2)-1))
            way=[way(1) size(POZ,2) way(i:end)];
        else
            way(1)=size(POZ,2);
        end

    else
        Q{x,y}.dim(1)=a-x;
        [Q{a-1,y}.coord Q{a-1,y+dxy(2)-1}.coord]=deal([x;y]);
        Q{a,y}.dim=[dims(1);dxy(2)];
        [Q{a,y}.coord Q{a+dims(1)-1,y}.coord Q{a+dims(1)-1,y+dxy(2)-1}.coord Q{a,y+dxy(2)-1}.coord]=deal([a;y]);
        POZ=[POZ [a;y]];
        Q{a+dims(1),y}.dim=[x+dxy(1)-a-dims(1);dxy(2)];
        [Q{a+dims(1),y}.coord Q{x+dxy(1)-1,y}.coord Q{x+dxy(1)-1,y+dxy(2)-1}.coord Q{a+dims(1),y+dxy(2)-1}.coord]=deal([a+dims(1);y]);
        POZ=[POZ [a+dims(1);y]];
        if ~((st_a >= a) & (st_a <= a+dims(1)-1) & (st_b >= y) & (st_b <= y+dxy(2)-1))
            if ~((st_a >= x) & (st_a <= a-1) & (st_b >= y) & (st_b <= y+dxy(2)-1))
                way=[size(POZ,2) size(POZ,2)-1 way];
            else
                way=[way(1) size(POZ,2)-1 way(i:end)];
            end
        else
            way(1)=size(POZ,2)-1;
        end
    end
end


new_way=way;
