function [hand,x,y,z,x2,y2,z2]=plot_desc8(paralep,dx,dy,dz,x_min,y_max,z_max,color,transp)
%functie pt reprezentarea grafica a dreptunghiului de indice "dreptunghi",
%cu culoarea "color"

global Q POZ

a=POZ(1,paralep); %a,b,c-coordonatele in discret; dims-dimensiunile paralepipedului curent
b=POZ(2,paralep);
c=POZ(3,paralep);
dims=Q{a,b,c}.dim;

%transformarea din discret in continuu
x=(b-1)*dx+x_min; %coordonatele coltului stinga-sus-fata
y=y_max-(c-1)*dy;
z=z_max-(a-1)*dz;

x2=(b+dims(2)-2)*dx+x_min; %coordonatele coltului dreapta-jos-spate
y2=y_max-(c+dims(3)-2)*dy;
z2=z_max-(a+dims(1)-2)*dz;

mat_vf=[x y z;x2 y z;x y2 z;x y z2;x2 y2 z;x2 y z2;x y2 z2;x2 y2 z2]; %matricea ce contine virfurile
mat_fete=[1 2 5 3;1 2 6 4;1 3 7 4;4 6 8 7;3 5 8 7;2 5 8 6]; %matrice care arata ce vifuri sint continute in fiecare fata

hand=patch('Vertices',mat_vf,'Faces',mat_fete,'FaceColor',color,'FaceAlpha',transp); %'LineWidth',2)
