function split8_min1(a,b,c) %functia pt despartirea in oct-trees; paralelip. cu una din dimensiuni 1 sint considerate spatiu ocupat
global Q

dims=Q{a,b,c}.dim;
if (dims >= 4) %sa nu ajungem la paralelip. cu una din dimensiuni 1 (toate dim >=4)
    Q{(a+dims(1)/2),b,c}.coord=[(a+dims(1)/2);b;c]; %coordonatele noilor sub-paralelipipede
    Q{a,(b+dims(2)/2),c}.coord=[a;(b+dims(2)/2);c];
    Q{a,b,(c+dims(3)/2)}.coord=[a;b;(c+dims(3)/2)];
    Q{(a+dims(1)/2),(b+dims(2)/2),c}.coord=[(a+dims(1)/2);(b+dims(2)/2);c];
    Q{(a+dims(1)/2),b,(c+dims(3)/2)}.coord=[(a+dims(1)/2);b;(c+dims(3)/2)];
    Q{a,(b+dims(2)/2),(c+dims(3)/2)}.coord=[a;(b+dims(2)/2);(c+dims(3)/2)];
    Q{(a+dims(1)/2),(b+dims(2)/2),(c+dims(3)/2)}.coord=[(a+dims(1)/2);(b+dims(2)/2);(c+dims(3)/2)];
    
    Q{a,b,c}.dim=dims/2;  %dimensiunile noilor sub-paralelipipede
    Q{(a+dims(1)/2),b,c}.dim=dims/2;
    Q{a,(b+dims(2)/2),c}.dim=dims/2;
    Q{a,b,(c+dims(3)/2)}.dim=dims/2;
    Q{(a+dims(1)/2),(b+dims(2)/2),c}.dim=dims/2;
    Q{(a+dims(1)/2),b,(c+dims(3)/2)}.dim=dims/2;
    Q{a,(b+dims(2)/2),(c+dims(3)/2)}.dim=dims/2;
    Q{(a+dims(1)/2),(b+dims(2)/2),(c+dims(3)/2)}.dim=dims/2;
    
    test_paralelip(a,b,c); %testam fiecare din cele 8 paralelipipede (pt a vedea daca e ocupat, liber sau tb descompus)
    test_paralelip((a+dims(1)/2),b,c);
    test_paralelip(a,(b+dims(2)/2),c);
    test_paralelip(a,b,(c+dims(3)/2));
    test_paralelip((a+dims(1)/2),(b+dims(2)/2),c);
    test_paralelip((a+dims(1)/2),b,(c+dims(3)/2));
    test_paralelip(a,(b+dims(2)/2),(c+dims(3)/2));
    test_paralelip((a+dims(1)/2),(b+dims(2)/2),(c+dims(3)/2));
    
else %paralelip. prea mic
    [Q{a:(a+dims(1)-1),b:(b+dims(2)-1),c:(c+dims(3)-1)}]=deal(0); %valoare 0 in toate sub-cell-urile ocupate
end
