function umple_obs(obs,dx,dy,dz,x_min,y_max,z_max,m,n,p)
%functie care umple interiorul din discret al unui obstacol cu zerouri (in matricea WORLD)
global WORLD

%verificam doar paralelipipedul care contine obstacolul
for i=max(min(obs.vf_d(1,:)),1):min(max(obs.vf_d(1,:)),p) %evitam sa obtinem indici negativi (pt obs ce depaseste granitele)
    for j=max(min(obs.vf_d(2,:)),1):min(max(obs.vf_d(2,:)),m)
        for k=max(min(obs.vf_d(3,:)),1):min(max(obs.vf_d(3,:)),n)
            x=(j-1)*dx+x_min;
            y=y_max-(k-1)*dy;
            z=z_max-(i-1)*dz;
            if obs.A*[x;y;z]<=obs.b %punctul de coord discrete i,j,k este in interiorul obstacolului
                WORLD(i,j,k)=0;
            end
        end
    end
end
